Bug 109559 - [CI][SHARDS] igt@gem_ctx_param@invalid-param-get - fail - Failed assertion: __gem_context_get_param(fd, &arg) == -22, error: 0 != -22
Summary: [CI][SHARDS] igt@gem_ctx_param@invalid-param-get - fail - Failed assertion: _...
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: high normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-05 16:22 UTC by Martin Peres
Modified: 2019-04-17 14:44 UTC (History)
1 user (show)

See Also:
i915 platform: ALL
i915 features: GEM/Other


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Peres 2019-02-05 16:22:15 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5540/shard-glk1/igt@gem_ctx_param@invalid-param-get.html

Starting subtest: invalid-param-get
(gem_ctx_param:965) CRITICAL: Test assertion failure function __real_main146, file ../tests/i915/gem_ctx_param.c:305:
(gem_ctx_param:965) CRITICAL: Failed assertion: __gem_context_get_param(fd, &arg) == -22
(gem_ctx_param:965) CRITICAL: error: 0 != -22
Comment 1 CI Bug Log 2019-02-05 16:23:32 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* All machines: igt@gem_ctx_param@invalid-param-get - fail - Failed assertion: __gem_context_get_param(fd, &arg) == -22, error: 0 != -22
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5540/shard-apl5/igt@gem_ctx_param@invalid-param-get.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5540/shard-glk1/igt@gem_ctx_param@invalid-param-get.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5540/shard-hsw2/igt@gem_ctx_param@invalid-param-get.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_3623/shard-apl4/igt@gem_ctx_param@invalid-param-get.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_3623/shard-glk3/igt@gem_ctx_param@invalid-param-get.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_3623/shard-hsw3/igt@gem_ctx_param@invalid-param-get.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_3623/shard-iclb7/igt@gem_ctx_param@invalid-param-get.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_3623/shard-kbl2/igt@gem_ctx_param@invalid-param-get.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_3623/shard-skl3/igt@gem_ctx_param@invalid-param-get.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_3623/shard-snb4/igt@gem_ctx_param@invalid-param-get.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5540/shard-iclb6/igt@gem_ctx_param@invalid-param-get.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5540/shard-kbl6/igt@gem_ctx_param@invalid-param-get.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5540/shard-skl5/igt@gem_ctx_param@invalid-param-get.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5540/shard-snb1/igt@gem_ctx_param@invalid-param-get.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_11289/shard-apl4/igt@gem_ctx_param@invalid-param-get.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_11289/shard-glk6/igt@gem_ctx_param@invalid-param-get.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_11289/shard-hsw5/igt@gem_ctx_param@invalid-param-get.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_11289/shard-iclb7/igt@gem_ctx_param@invalid-param-get.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_11289/shard-kbl2/igt@gem_ctx_param@invalid-param-get.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_11289/shard-skl4/igt@gem_ctx_param@invalid-param-get.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_11289/shard-snb1/igt@gem_ctx_param@invalid-param-get.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12025/shard-apl2/igt@gem_ctx_param@invalid-param-get.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12025/shard-glk4/igt@gem_ctx_param@invalid-param-get.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12025/shard-hsw5/igt@gem_ctx_param@invalid-param-get.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12025/shard-kbl2/igt@gem_ctx_param@invalid-param-get.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12025/shard-snb1/igt@gem_ctx_param@invalid-param-get.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_3705/shard-apl5/igt@gem_ctx_param@invalid-param-get.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_3705/shard-glk9/igt@gem_ctx_param@invalid-param-get.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_3705/shard-hsw2/igt@gem_ctx_param@invalid-param-get.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_3705/shard-kbl1/igt@gem_ctx_param@invalid-param-get.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_3705/shard-snb5/igt@gem_ctx_param@invalid-param-get.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12042/shard-apl1/igt@gem_ctx_param@invalid-param-get.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12042/shard-glk7/igt@gem_ctx_param@invalid-param-get.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12042/shard-hsw8/igt@gem_ctx_param@invalid-param-get.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12042/shard-kbl5/igt@gem_ctx_param@invalid-param-get.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12042/shard-snb4/igt@gem_ctx_param@invalid-param-get.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12084/shard-apl8/igt@gem_ctx_param@invalid-param-get.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12084/shard-glk7/igt@gem_ctx_param@invalid-param-get.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12084/shard-hsw3/igt@gem_ctx_param@invalid-param-get.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12084/shard-kbl4/igt@gem_ctx_param@invalid-param-get.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12084/shard-snb6/igt@gem_ctx_param@invalid-param-get.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12136/shard-apl7/igt@gem_ctx_param@invalid-param-get.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12136/shard-glk8/igt@gem_ctx_param@invalid-param-get.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12136/shard-hsw3/igt@gem_ctx_param@invalid-param-get.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12136/shard-kbl6/igt@gem_ctx_param@invalid-param-get.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12136/shard-snb7/igt@gem_ctx_param@invalid-param-get.html
Comment 2 Martin Peres 2019-02-05 16:24:43 UTC
<ickle> can't push kernel and igt simultaneously
<Adrinael> It was "caused" by adding a new supported param
<ickle> kernel update caused test failure; next igt update updated the truth values in the test
<Adrinael> The test checks that one-after-last-known-good-param is invalid
Comment 3 Martin Peres 2019-02-05 16:25:02 UTC
Closing!
Comment 4 Martin Peres 2019-03-06 16:28:56 UTC
(In reply to Martin Peres from comment #3)
> Closing!

And now I regret closing it so quickly! The failure keeps happening on all machines:

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5710/shard-snb5/igt@gem_ctx_param@invalid-param-get.html

Starting subtest: invalid-param-get
(gem_ctx_param:1687) CRITICAL: Test assertion failure function __real_main146, file ../tests/i915/gem_ctx_param.c:307:
(gem_ctx_param:1687) CRITICAL: Failed assertion: __gem_context_get_param(fd, &arg) == -22
(gem_ctx_param:1687) CRITICAL: error: 0 != -22
Subtest invalid-param-get failed.
Comment 5 Chris Wilson 2019-03-06 16:32:17 UTC
That instance was fixed. It is a silly test and will always fail when we add features to the kernel: new sighting at https://bugs.freedesktop.org/show_bug.cgi?id=109674
Comment 6 Martin Peres 2019-03-08 13:06:34 UTC
https://patchwork.freedesktop.org/patch/286767/ fixes this by removing the test.
Comment 7 Martin Peres 2019-03-15 15:39:09 UTC
(In reply to Martin Peres from comment #6)
> https://patchwork.freedesktop.org/patch/286767/ fixes this by removing the
> test.

Re-opening since the patch has not landed. Please wait until it lands until closing it again :)
Comment 8 Chris Wilson 2019-03-15 15:43:25 UTC
No, the instance for which this bug was reported was fixed.

commit bf777c92448d51010aba51d1f1b657b0fdc673a6
Author: Antonio Argenziano <antonio.argenziano@intel.com>
Date:   Wed Jan 24 17:00:02 2018 -0800

    tests/gem_ctx_param: Update invalid param

That it is a perennial problem with the design of the test and has not unexpectedly reoccurred is bug 109674
Comment 9 Martin Peres 2019-04-17 14:43:59 UTC
2551ed18 i915/gem_ctx_param: Remove kneecapping seems to have fixed the issue!
Comment 10 CI Bug Log 2019-04-17 14:44:05 UTC
The CI Bug Log issue associated to this bug has been archived.

New failures matching the above filters will not be associated to this bug anymore.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.